FROM alpine:edge

# Install dependencies
RUN apk --no-cache add \
    ansible git fish build-base rsync \
    cargo py3-virtualenv py3-setuptools \
    python3-dev libffi-dev emacs-nox

# Create a test user
RUN printf 'cuteuser\ncuteuser\n' | adduser -h /home/kawaii -s /bin/ash kawaii

# Enter testing environment
USER kawaii
WORKDIR /home/kawaii
COPY . .

CMD ["/bin/sh"]
